%define base_name	kdemoreartwork
%define theme_name	alloy
%define name		%{base_name}-%{theme_name}
%define version		0.4.1a
%define release		1mdk
%define summary		Alloy kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/usermanager/search.php?username=dbrownlees
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		libpng-devel , libjpeg62-devel
BuildRequires:		libqt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
A neat KDE 3.x style and KWin decoration based on the Java Alloy
Look&Feel from Incors (http://www.incors.com). 
 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/kde3/plugins/styles/%{theme_name}.*
%{_libdir}/kde3/kwin_%{theme_name}*
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/%{theme_name}.kcsrc
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.4.1a-1mdk
- initial release

